使用终端安装软件到make哪一步总是失败,求指教

为当前最终发行版之前的所有版本提供支持
回复
头像
txwgzyzz
帖子: 54
注册时间: 2012-04-21 13:35
送出感谢: 1 次
接收感谢: 0

使用终端安装软件到make哪一步总是失败,求指教

#1

帖子 txwgzyzz » 2013-04-17 4:21

装了好多个软件,每次安装软件到make那一步总是出错,我错在哪儿了?求指教
。。。。。。。。。
gansutianxl@ThinkPad-tianxl:~/下载/audacity-src-2.0.3$ ./configure
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for C compiler vendor... gnu
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl.exe... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking whether we are using the GNU C++ compiler... no
checking whether g++ accepts -g... no
checking how to run the C++ preprocessor... /lib/cpp
configure: error: in `/home/gansutianxl/下载/audacity-src-2.0.3':
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details
gansutianxl@ThinkPad-tianxl:~/下载/audacity-src-2.0.3$ make
make: *** 没有指明目标并且找不到 makefile。 停止。

自由才是王道
whatot
帖子: 56
注册时间: 2011-09-30 20:59
送出感谢: 0
接收感谢: 2 次

Re: 使用终端安装软件到make哪一步总是失败,求指教

#2

帖子 whatot » 2013-04-17 7:07

没有编译器

代码: 全选

sudo apt-get install build-essential

代码: 全选

$ apt-cache depends build-essential 
build-essential
 |依赖: libc6-dev
  依赖: <libc-dev>
    libc6-dev
  依赖: gcc
  依赖: g++
  依赖: make
  依赖: dpkg-dev
头像
luojie-dune
帖子: 22033
注册时间: 2007-07-30 18:28
系统: Linux
来自: 空气中
送出感谢: 9 次
接收感谢: 61 次

Re: 使用终端安装软件到make哪一步总是失败,求指教

#3

帖子 luojie-dune » 2013-04-17 7:11

...你...看不懂英文么。

configure 那步就错了,你还make。。。
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议
头像
Rap:D
帖子: 33
注册时间: 2012-11-12 18:52
系统: ubuntu 11.10
送出感谢: 2 次
接收感谢: 0

Re: 使用终端安装软件到make哪一步总是失败,求指教

#4

帖子 Rap:D » 2013-04-17 7:41

2L正解。。。。LZ你Configure就错了。。。没有安装编译器

代码: 全选

#!/usr/bin/python
from Nirvana import Kurt_Cobain,Chris_Novoselic,Dave_Grohl
import Nirvana

while True:
     Nirvana.GrungeIsNotDead()
头像
txwgzyzz
帖子: 54
注册时间: 2012-04-21 13:35
送出感谢: 1 次
接收感谢: 0

Re: 使用终端安装软件到make哪一步总是失败,求指教

#5

帖子 txwgzyzz » 2013-04-17 11:37

whatot 写了:没有编译器

代码: 全选

sudo apt-get install build-essential

代码: 全选

$ apt-cache depends build-essential 
build-essential
 |依赖: libc6-dev
  依赖: <libc-dev>
    libc6-dev
  依赖: gcc
  依赖: g++
  依赖: make
  依赖: dpkg-dev

安装了build-essential之后还是有问题啊:
configure: error: Audacity requires expat to be enabled
我安装了expat还是这样,继续求教
自由才是王道
头像
luojie-dune
帖子: 22033
注册时间: 2007-07-30 18:28
系统: Linux
来自: 空气中
送出感谢: 9 次
接收感谢: 61 次

Re: 使用终端安装软件到make哪一步总是失败,求指教

#6

帖子 luojie-dune » 2013-04-17 12:00

...你去找找为什么这么装软件吧。。。

你要装得东西 点 apt://audacity
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议
头像
txwgzyzz
帖子: 54
注册时间: 2012-04-21 13:35
送出感谢: 1 次
接收感谢: 0

Re: 使用终端安装软件到make哪一步总是失败,求指教

#7

帖子 txwgzyzz » 2013-04-25 22:15

luojie-dune 写了:...你去找找为什么这么装软件吧。。。

你要装得东西 点 apt://audacity
什么意思,求解释
自由才是王道
回复

回到 “老旧版本支持”